Summary: 3D animated time domain, fft, waterfall, etc display
Name: sndpeek
Version: 1.3
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://soundlab.cs.princeton.edu/software/sndpeek/
Source0: http://soundlab.cs.princeton.edu/software/sndpeek/files/sndpeek-%{version}.tgz
Patch0: sndpeek-1.3-gcc43.patch
Patch1: sndpeek-1.3-gcc44.patch
Patch2: sndpeek-1.3-lpthread.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution: Planet CCRMA
Vendor: Planet CCRMA
Packager: Fernando Lopez-Lezcano

BuildRequires: bison flex freeglut-devel libXmu-devel libXext-devel
BuildRequires: libXi-devel jack-audio-connection-kit-devel
BuildRequires: alsa-lib-devel libsndfile-devel

%description
sndpeek is just what it sounds (and looks) like: real-time 3D animated
display/playback, time-domain waveform, FFT magnitude spectrum, 3D
waterfall plot, lissajous! (interchannel correlation), rotatable and
scalable display, freeze frame! (for didactic purposes), real-time
spectral feature extraction (centroid, rms, flux, rolloff)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src/sndpeek

# build alsa version
%{__make} linux-alsa
%{__mv} sndpeek sndpeek-alsa

# build jack version
%{__make} clean
%{__make} linux-jack

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}

# install jack version (last built)
cd src/sndpeek
# install jack version (last built)
%{__install} -m 755 sndpeek %{buildroot}%{_bindir}/sndpeek
# install alsa version
%{__install} -m 755 sndpeek-alsa %{buildroot}%{_bindir}/sndpeek-alsa

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README THANKS TODO VERSIONS
%{_bindir}/*

%changelog
* Mon Jan  3 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added fc13/14 lpthread linking patch

* Thu Oct 15 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc44 patch for fc11

* Wed Nov 26 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- reworked gcc43 patch to make fc10 happy

* Thu Jul 17 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc43 patch for building on fc9

* Wed Jul 16 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr> 1.3-2
- rebuilding on CentOS because of a dependency issue

* Thu Oct  4 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.3-1
- initial build
